Subject: RE: [mobile-ip] Relation between IPv6 and MIP

From: "Qiang Zhang" <[email-masked]>
Date: Fri, 27 Jul 2001 10:19:43 -0400

Hello, 

There is no doubt that any IPv6 node needs to support the Home addr
option, otherwise...
My intention asking this was that I feel like there should be a doc in
IPng to enforce
this option if it is going to be a REQUIREMENT. 

-----Original Message-----
From: Jiwoong Lee [mailto:[email-masked]]
Sent: Friday, July 27, 2001 3:25 AM
To: [email-masked]
Subject: Re: [mobile-ip] Relation between IPv6 and MIP

Vijay,

I doubt it. Please see section 7.1 of mobileip-ipv6-14.

7.1. Requirements for All IPv6 Hosts and Routers

   Since any IPv6 node may at any time be a correspondent node of a
   mobile node, either sending a packet to a mobile node or receiving a
   packet from a mobile node, the following requirements apply to ALL
   IPv6 nodes (whether host or router, whether mobile or stationary):

    -  Every IPv6 node MUST be able to process a Home Address option
       received in any IPv6 packet.

    blah blah..

Jiwoong

----- Original Message -----
From: "Vijay Devarapalli" <[email-masked]>
To: <[email-masked]>
Sent: Friday, July 27, 2001 3:13 AM
Subject: Re: [mobile-ip] Relation between IPv6 and MIP

> Qiang Zhang wrote:
> >
> > Hello, I've always thought that MIP is an addon protocol for IPv6,
so it
> > is a SHOULD not a MUST implementation, is this correct?
> > If MIP is optional, then a node doesn't have to maintain all binding
> > signaling, but REALLY has to support home address option, is this an
> > valid requirement imposed from MIP?
> >
> > Please clarify, thank you
>
> that is correct. the minimum requirement is " any node should be able
> to process the home address option ".
>
> vijay

---

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Fri, 27 Jul 2001 16:28:27 +0200

> this option if it is going to be a REQUIREMENT. 
	=> This is not the current practice. For example I haven't 
	seen a doc in IPng that says IPsec is mandated for all
	IPv6 hosts (maye I missed it but I don't think RFC 2460
	says it). The IPsec RFCs do. 
	Anyway for an attempt to capture the cellular hosts reqts
	see :
	 http://standards.ericsson.net/Hesham/draft-manyfolks-ipv6-cellular-host-00.txt

	Note: This is only for cellular hosts

	Hesham